org.eclipse.emf.facet.util.emf.catalog

## Interface CatalogPackage.Literals

Enclosing interface:
  CatalogPackage

    public static interface CatalogPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `CATALOG` The meta object literal for the '`Catalog`' class.
`static EReference` `CATALOG__INSTALLED_ENTRIES` The meta object literal for the 'Installed Entries' reference list feature.
`static EAttribute` `CATALOG__NAME` The meta object literal for the 'Name' attribute feature.
`static EClass` `CATALOG_SET` The meta object literal for the '`Set`' class.
`static EReference` `CATALOG_SET__CATALOGS` The meta object literal for the 'Catalogs' containment reference list feature.

### Field Detail

#### CATALOG_SET

    static final EClass CATALOG_SET

The meta object literal for the '`Set`' class.

See Also:
  `org.eclipse.emf.facet.util.emf.catalog.impl.CatalogSetImpl`, `org.eclipse.emf.facet.util.emf.catalog.impl.CatalogPackageImpl#getCatalogSet()`
Generated:

#### CATALOG_SET__CATALOGS

    static final EReference CATALOG_SET__CATALOGS

The meta object literal for the 'Catalogs' containment reference list feature.

Generated:

#### CATALOG

    static final EClass CATALOG

The meta object literal for the '`Catalog`' class.

See Also:
  `Catalog`, `org.eclipse.emf.facet.util.emf.catalog.impl.CatalogPackageImpl#getCatalog()`
Generated:

#### CATALOG__INSTALLED_ENTRIES

    static final EReference CATALOG__INSTALLED_ENTRIES

The meta object literal for the 'Installed Entries' reference list feature.

Generated:

#### CATALOG__NAME

    static final EAttribute CATALOG__NAME

The meta object literal for the 'Name' attribute feature.

Generated: